<?php 
		 
		$v_oid=trim($HTTP_POST_VARS['v_oid']);
		$v_pmode=trim($HTTP_POST_VARS['v_pmode']);  
		$v_pstatus=trim($HTTP_POST_VARS['v_pstatus']);      
		$v_pstring=trim($HTTP_POST_VARS['v_pstring']);     
		$v_amount=trim($HTTP_POST_VARS['v_amount']);      
		$v_md5=trim($HTTP_POST_VARS['v_md5']);
		
		//添加一个接受参数
		$v_md5info=trim($HTTP_POST_VARS['v_md5info']);

		$v_moneytype=trim($HTTP_POST_VARS['v_moneytype']);      
		$v_md5money=trim($HTTP_POST_VARS['v_md5money']);

		$key=$mypcenter_ikey;
		$v_md5=strtolower($v_md5);
		$orderid=substr($v_oid,-6);

		$md5string=md5($v_oid.$v_pstatus.$v_amount.$v_moneytype.$key);
		
		//因为内卡和外卡返回的md5字符串参数名不一样，外卡参数名中没有v_md5的，只有一个v_md5info
		if($v_md5==$md5string||$v_md5info==$md5string){
		
		//if ($v_md5==$md5string) {
		
			if($v_pstatus=="20") {	

					$PageMain=Insert_Back_value($orderid,$v_amount);

			}else{

					$PageMain=err("支付失败!","member.php","");

			}

		}else{
			
					$PageMain=err("签名认证错误!","member.php","");


		}

?>
